phoenix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ndimiduk <...@git.apache.org>
Subject [GitHub] phoenix pull request: Adding tracingweb app
Date Fri, 03 Jul 2015 18:27:04 GMT
Github user ndimiduk commented on a diff in the pull request:

    https://github.com/apache/phoenix/pull/96#discussion_r33877074
  
    --- Diff: phoenix-tracing-webapp/src/main/webapp/index.html ---
    @@ -0,0 +1,114 @@
    +<html ng-app="TracingAppCtrl">
    +
    +<head>
    +    <meta charset="utf-8">
    +    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    +    <meta name="viewport" content="width=device-width, initial-scale=1">
    +    <meta name="description" content="Phoenix Tracing WebApp">
    +    <meta name="author" content="nishani">
    +    <link rel="icon" href="../../favicon.ico">
    +
    +    <title>Phoenix Tracing WebApp</title>
    +
    +    <!-- Bootstrap core CSS -->
    +    <link href="css/bootstrap.css" rel="stylesheet">
    +    <link href="/css/bootstrap-theme.css" rel="stylesheet">
    +    <link href="css/nv.d3.css" rel="stylesheet">
    +    <link href="css/font-awesome.css" rel="stylesheet">
    +    <!-- Bootstrap theme -->
    +    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    +    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]
    +    <script src="../../assets/js/ie-emulation-modes-warning.js"></script>-->
    +
    +    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries
-->
    +    <!--[if lt IE 9]>
    +      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    +      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    +    <![endif]-->
    +
    +    <script src="js/lib/jquery-2.1.4.js"></script>
    +    <script src="js/lib/bootstrap.js"></script>
    +    <script src="js/sampleTrace.js"></script>
    +    <script src="js/lib/d3.js"></script>
    +    <!--angularjs -->
    --- End diff --
    
    Every dependency we include must be scrutinized for compatible licensing. It's helpful
to introduce as few dependencies as possible. Now that we have a better idea of what the initial
UI goals are (via James's excellent rambling) perhaps some of these dependencies can be dropped.


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message